MagicMirror² v2.12.0 is available! For more information about this release, check out this topic.

MMM-AssistantMk2



  • @Sean my app is correctly configure for me. If he don’t understand histoire reply is in french but if i speak french he don’t understand.

    Étrange


  • Module Developer

    @tontonchow
    Weird. Transcription on the log is returned as French as expected?



  • @Sean Yes
    I don’t know why but it seems to work after adjust config.js and reboot

    add , after lang line

    profiles: {
             "default" : {                                                                                                                   
                        profileFile: "default.json",                                                                                            
                        lang: "fr-FR",
    

  • Module Developer

    @tontonchow
    Can you show me the log of transcription part when you said some phrases as French? To see whether transcription was recognized as French or not.



  • Hi Sean,
    Nice works for MK2 update but i have a problem to install it. I launched the auto installation but a packet is not found. gcc-7 is missing. when a try to install manually the answer is (in french):

    pi@raspberrypi:~/MagicMirror/modules/MMM-AssistantMk2 $ sudo apt-get install gcc-7
    Lecture des listes de paquets... Fait
    Construction de l'arbre des dépendances       
    Lecture des informations d'état... Fait
    E: Impossible de trouver le paquet gcc-7
    
    

    when i write gcc -v the result is:

    gcc version 6.3.0 20170516 (Raspbian 6.3.0-18+rpi1+deb9u1) 
    

    And without this my Magic mirror turn into a black screen

    How i can install gcc-7 ?
    Do i need an update of raspbian to install gcc-7. I’m on last version of raspbian Stretch

    Thanks for your support and your next answers


  • Module Developer

    @MisterT
    first, try to install without gcc7. usually gcc8 on buster was a reason of problem, so gcc6 on stretch might be ok(not tested currently but it worked a year ago)



  • hi @Sean thanks for your reply. So retry auto installation with gc6 and rebuild electron. Then finish the config with my audio and mic. Great
    After these, i download my credentials then make my default profile.
    So everithing seem to bo good. that’t why i start MM and:
    MK2v3 logo is on my Magic mirror with animation but when i say a simple sentence, nothing happen.
    I changed hotword word to Jarvis and html5 to mpg321 but it’s the same thing.

    See below my config js for hotword and MK2

    			{
    	module: "MMM-Hotword",
    	position: "top_left",
    	config: {
    	useDisplay: false,
    	chimeOnFinish: null,
    	recipes: ["with-AMk2v3_Jarvis.js"],
    	mic: {
    		recordProgram: "arecord",
    		device: "plughw:1",
                },
    				  },
    	},
    		{
      	module: "MMM-AssistantMk2",
      	position: "top_right",
      	config: {
    	debug: true,
    	 ui: "Classic",
    	assistantConfig: {
    	latitude: 43.64074, // -90.0 - +90.0
    	longitude: 5.09545, // -180.0 - +180.0
    					  },
    	responseConfig: {
    	useHTML5: false, // sound render by HTML5
    	playProgram: "mpg321",
    				},
    	micConfig: {
    	recorder: "arecord",
    	device: "plughw:1",
    				   },
    	recipes: [
    	"with-MMM-Hotword.js"
    				   ],
    	profiles: {
    	"default": {
    		profileFile: "default.json",
    			lang: "fr-FR"
    				 }
    
    				  },
    			},
    		},
    

    have you an idea ?


  • Module Developer

    @MisterT
    Need a log to know what happens.



  • @Sean after uninstall, re install, rebuilt electron from MK2 and from Hotword, it was always the same.
    So i decided to start a simple config.js with only default modules and Mk2 and hotword. Finaly…Tada !!! it works.

    The guilty module is MMM-GooglemapsTraffic. So I hid it in my config.js

    I have no console log about Mk2 if MMM-GooglemapsTraffic is on.

    Have you an idea?



  • @MisterT said in MMM-AssistantMk2:

    MMM-GooglemapsTraffic

    yes, it has a bug, download the fixed version from my repo (the author has not updated from my changes, last updated 2 years ago)

    rename the existing module folder out of the way

    cd ~/MagicMirror/modules
    mv MMM-GooglemapsTraffic MMM-GooglemapsTraffic.original
    git clone https://github.com/sdetweil/MMM-GoogleMapsTraffic.git
    cd MMM-GooglemapsTraffic
    npm install
    

Log in to reply